---
title: Ajax
slug: Glossary/AJAX
tags:
  - AJAX
  - CodingScripting
  - Glossary
  - Infrastructure
  - l10n:priority
---
**Ajax**, which initially stood for Asynchronous {{Glossary("JavaScript")}} And {{Glossary("XML")}}, is a programming practice of building complex, dynamic webpages using a technology known as {{Glossary("XHR_(XMLHttpRequest)","XMLHttpRequest")}}.

Ajax allows you to update parts of the {{Glossary("DOM")}} of an {{Glossary("HTML")}} page without the need for a full page refresh. Ajax also lets you work asynchronously, meaning your code continues to run while the targeted part of your web page is trying to reload (compared to synchronously, which blocks your code from running until that part of your page is done reloading).

With interactive websites and modern web standards, Ajax is gradually being replaced by functions within JavaScript frameworks and the official {{domxref("Fetch API")}} Standard.

## See also

- {{interwiki("wikipedia", "AJAX")}} on Wikipedia
- [Ajax](/en-US/docs/Web/Guide/AJAX)
- [Ajax - Getting started](/en-US/docs/Web/Guide/AJAX/Getting_Started)
- [Glossary](/en-US/docs/Glossary):

  - {{Glossary("XHR_(XMLHttpRequest)","XMLHttpRequest")}}

- {{DOMxRef("XMLHttpRequest")}}
- {{DOMxRef("Fetch API")}}
- [Using Fetch API](/en-US/docs/Web/API/Fetch_API/Using_Fetch)
- [Synchronous vs. Asynchronous Communications](https://peoplesofttutorial.com/difference-between-synchronous-and-asynchronous-messaging/)
