---
title: Baseline
slug: Glossary/baseline
tags:
  - CSS
  - Glossary
  - SVG
  - alignment
  - typography
---
The **baseline** is a term used in European and West Asian typography meaning an imaginary line upon which the characters of a font rest.

The descenders of characters like g and p extend below this line. {{Glossary("glyph", "Glyphs")}} with rounded lower and upper extents like C or 3 slightly extend below it.

East Asian scripts have no baseline. Their glyphs are placed in a square box without ascenders or descenders.

## See also

- [Baseline](https://en.wikipedia.org/wiki/Baseline_(typography)) on Wikipedia
- [CSS Box Alignment](/en-US/docs/Web/CSS/CSS_Box_Alignment#types_of_alignment) on MDN
