---
title: Conditional
slug: Glossary/Conditional
tags:
  - Beginner
  - CodingScripting
  - Glossary
---
A **condition** is a set of rules that can interrupt normal code execution or change it, depending on whether the condition is completed or not.

An instruction or a set of instructions is executed if a specific condition is fulfilled. Otherwise, another instruction is executed. It is also possible to repeat the execution of an instruction, or set of instructions, while a condition is not yet fulfilled.

## See also

- {{interwiki("wikipedia", "Exception_handling#Condition_systems", "Condition")}} on Wikipedia
- [Control flow](/en-US/docs/Glossary/Control_flow) on MDN
- [Making decisions in your code — conditionals](/en-US/docs/Learn/JavaScript/Building_blocks/conditionals)
- [Control flow and error handling in JavaScript](/en-US/docs/Web/JavaScript/Guide/Control_flow_and_error_handling) on MDN
