---
title: First contentful paint
slug: Glossary/First_contentful_paint
tags:
  - Glossary
  - Performance
  - Reference
  - Web Performance
---
**First Contentful Paint** (FCP) is when the browser renders the first bit of content from the DOM, providing the first feedback to the user that the page is actually loading. The question "Is it happening?" is "yes" when the first contentful paint completes.

_The First Contentful Paint_ time stamp is when the browser first rendered any text, image (including background images), non-white canvas or SVG. This excludes any content of iframes, but includes text with pending webfonts. This is the first time users could start consuming page content.

## See also

- [First Meaningful Paint](/en-US/docs/Glossary/first_meaningful_paint)
- [Paint Timing specification](https://w3c.github.io/paint-timing/#first-contentful-paint)
