---
title: Method
slug: Glossary/Method
tags:
  - CodingScripting
  - Glossary
  - JavaScript
---
A **method** is a {{glossary("function")}} which is a {{glossary("property")}} of an {{glossary("object")}}. There are two kind of methods: *Instance Methods* which are built-in tasks performed by an object instance, or _{{Glossary("static method", "Static Methods")}}_ which are tasks that are called directly on an object constructor.

> **Note:** In JavaScript functions themselves are objects, so, in that context, a method is actually an {{glossary("object reference")}} to a function.

## See also

- {{InterWiki("wikipedia","Method (computer programming)")}} in Wikipedia
- [Defining a method in JavaScript](/en-US/docs/Web/JavaScript/Reference/Functions/Method_definitions) (comparison of the traditional syntax and the new shorthand)
- [List of JavaScript built-in methods](/en-US/docs/Web/JavaScript/Reference)
- [MDN Web Docs Glossary](/en-US/docs/Glossary)

  - {{Glossary("function")}}
  - {{Glossary("object")}}
  - {{Glossary("property")}}
  - {{Glossary("static method")}}
