---
title: Python
slug: Glossary/Python
tags:
  - CodingScripting
  - Glossary
  - Language
  - Python
  - programming
---
**Python** is a high level general-purpose programming language. It uses a multi-paradigm approach, meaning it supports procedural, object-oriented, and some functional programming constructs.

It was created by Guido van Rossum as a successor to another language (called ABC) between 1985 and 1990, and is currently used on a large array of domains like web development, desktop applications, data science, DevOps, and automation/productivity.

Python is developed under an OSI-approved open source license, making it freely usable and distributable, even for commercial use. Python's license is administered by the [Python Software Foundation](https://www.python.org/psf).

## See also

- {{interwiki('wikipedia','Python (programming language)','Python')}} on Wikipedia
- [Official Python docs tutorials](https://docs.python.org/3/tutorial/index.html)
- [Tutorials Point Python tutorial](https://www.tutorialspoint.com/python/index.htm)
- [AlphaCodingSkills Python Tutorial](https://www.alphacodingskills.com/python/python-tutorial.php)
- [Django Web Framework (Python)](/en-US/docs/Learn/Server-side/Django) on MDN
- [Glossary](/en-US/docs/Glossary)

  - {{Glossary("Java")}}
  - {{Glossary("JavaScript")}}
  - {{Glossary("PHP")}}
  - {{Glossary("Python")}}
  - {{Glossary("Ruby")}}
