---
title: Type conversion
slug: Glossary/Type_Conversion
tags:
  - CodingScripting
  - Glossary
  - Type casting
  - Type conversion
---
Type conversion (or typecasting) means transfer of data from one data type to another. _Implicit conversion_ happens when the compiler automatically assigns data types, but the source code can also _explicitly_ require a conversion to take place. For example, given the instruction `5+2.0`, the floating point `2.0` is implicitly typecasted into an integer, but given the instruction `Number("0x11")`, the string "0x11" is explicitly typecasted as the number 17.

## See also

- {{Interwiki("wikipedia", "Type conversion")}} (Wikipedia)
- [Glossary](/en-US/docs/Glossary)

  - {{Glossary("Type")}}
  - {{Glossary("Type coercion")}}
