---
title: Viewport
slug: Glossary/Viewport
tags:
  - CodingScripting
  - Glossary
  - Layout
  - viewport
---
A viewport represents a polygonal (normally rectangular) area in computer graphics that is currently being viewed. In web browser terms, it refers to the part of the document you're viewing which is currently visible in its window (or the screen, if the document is being viewed in full screen mode). Content outside the viewport is not visible onscreen until scrolled into view.

The portion of the viewport that is currently visible is called the **{{Glossary("visual viewport")}}**. This can be smaller than the layout viewport, such as when the user has pinched-zoomed. The {{Glossary("layout viewport")}} remains the same, but the visual viewport became smaller.

## See also

- [Visual Viewport API](/en-US/docs/Web/API/Visual_Viewport_API)
- {{Interwiki("wikipedia", "Viewport")}} on Wikipedia
- [A tale of two viewports](https://www.quirksmode.org/mobile/viewports.html) (Quirksmode)
- {{Glossary("Visual viewport")}} in the MDN Glossary
- {{Glossary("Layout viewport")}} in the MDN Glossary
