---
title: Send feedback about MDN Web Docs
slug: MDN/Contribute/Feedback
tags:
  - Documentation
  - Guide
  - MDN
  - MDN Meta
---
{{MDNSidebar}}

Welcome to MDN Web Docs! If you have suggestions for, or are having problems using the MDN Web Docs, this is the right place to be. The very fact that you're interested in offering feedback makes you even more a part of the Mozilla community, and we thank you in advance for your interest.

You have several options for offering your insight; this article will help you do so.

## Update the documentation

First of all, if you've seen a problem with the documentation, you should always feel free to correct it yourself. Start by reading about the [specific steps for getting set up to make contributions](https://github.com/mdn/content/#making-contributions).

The sources for the documentation here are [stored in GitHub](https://github.com/mdn/content/), and curated by a team of volunteers and paid staff, so don't be shy — your grammar doesn't have to be perfect. We'll review your changes and help you fix any mistakes; no harm done!

For more information about contributing to MDN documentation, see:

- [Getting started](/en-US/docs/MDN/Contribute/Getting_started), for more details on how to begin.
- [Contributing to MDN](/en-US/docs/MDN/Contribute), for ideas of specific tasks you can do to help.

## Join the conversation

Talk to us! There are a few ways to get in touch with other people who work on MDN content.

### (Synchronous) Chat

We use [Matrix](https://wiki.mozilla.org/Matrix) to converse about MDN and its content. You can join in the conversation!

[MDN Web Docs](https://chat.mozilla.org/#/room/#mdn:mozilla.org)

This room is for general discussion of MDN: using the site, reading content on the site, and contributing to the site's content. If you have questions or comments about article content, new articles you'd like to see or create, or just want to talk with the writing team, this is the place to be.

### (Asynchronous) Discussions

Longer-term discussions happen on our [MDN discussion forum](https://discourse.mozilla-community.org/c/mdn). You can post to the forum via email to [mdn@mozilla-community.org](mailto://mdn@mozilla-community.org). If you join the forum, you can choose to have notifications about discussions sent to you via email as well.

## Report an issue

### Documentation issues

If you see a problem in the documentation and can't fix it yourself for any reason, you can [report the issue](https://github.com/mdn/content/issues/new/choose)! For some problems of translation, you can [report to translated content](https://github.com/mdn/translated-content/issues/new/choose "Report a translation problem."). You can use this form for any documentation issue at all, for example:

- a simple correction
- a request for an entirely new piece of content
- reporting inappropriate content (including spam and misplaced translations)

As mentioned before, we invite you to contribute the changes yourself, but this option is available for you as well.

### Site issues

If you encounter problems with the MDN web site, or have ideas for new features for the site,  you can [submit a ticket to the MDN development team](https://github.com/mdn/yari/issues).
