---
title: Process for selection
slug: Related/Process_for_selection
tags:
  - Related
  - selection process
---
If a technology looks like a good candidate for inclusion on the [Web-related technologies](/en-US/docs/Related) section of the site, the next stage is to contact us to discuss the technology, and propose why you think it should be included on MDN Web Docs. This article provides a list of what you should send to us in the proposal, along with how to send it over.

## Checklist

Non-web standards technologies will be considered for inclusion on MDN Web Docs on a case-by-case basis. For consideration, we need a short document describing:

- The technology, its core purpose/use cases, and target developer audience.
- What kind of industry/community buzz there is around the technology. For example:

  - Are lots of people using it? What is the industry adoption like?
  - Do lots of people want this information? Who?
  - What kind of target audience size is there for this information? Supporting statistics would help, if you have them.

- How the technology relates to core web technology and web browsers. Useful details are things like:

  - Does it use HTML and CSS, but generally not output to the web?
  - Is it supported in web browsers via a polyfill?

- What documentation/resources there are available already that cover the technology.
- How much documentation would need to be added to MDN:

  - List the expected number of guides, tutorials, reference pages for elements/methods/attributes, etc.
  - Provide a high level table of contents.
  - Mention the kind of "advanced" features you think you might need for this resource, beyond basic documentation pages. Are you expecting to include embedded videos, interactive code samples, etc.?

- Details on who will be writing the documentation. Who are these people, and why are they suited to the job?

You don't need to provide us with hundreds of pages of detail at this stage (in fact, we'd prefer it if you didn't). A couple of paragraphs on each of the above points is more than adequate. We are OK to accept any format as long as it is common and easy to send over the web. Text files, documents or slides are recommended.

## Submission and next steps

- After you've compiled the above document, send it to us over e-mail at <mdn-admins@mozilla.org>.
- After we receive this, we will consider the technology, then e-mail you back with one of the following answers:

  - **No**: We don't think this fits MDN Web Docs.
  - **Maybe**: We are not sure if this fits MDN Web Docs, and would like to ask some further questions.
  - **Yes**: We think this fits MDN Web Docs.

- If the response was maybe/yes, we will request a conversation (e.g. video, telephone, or email) with one or more representatives of the community interested in adding the documentation.
- If we still feel positive after the initial conversation, then we are good to go, and a member of our team will assist you in getting started with the documentation.

## See also

[Project guidelines](/en-US/docs/Related/Project_guidelines) — what you need to know to create a successful documentation project once your idea has been accepted onto MDN Web Docs.
