---
title: ARIA guides
slug: Web/Accessibility/ARIA/ARIA_Guides 
tags:
  - ARIA
---
Accessible Rich Internet Applications (**ARIA**) defines ways to make the Web more accessible to people with disabilities. A few guidelines to follow that ensure better accessibility, like using drag and drop for placement of the widgets.

- Error Handling in Forms
- Labeling widgets
- Labeling Composite Widgets and Regions
- Managing Focus in Composite Widgets (`aria-activedescendant` vs roving tabindex)
- Using Landmark Roles
- Handling Dynamic Updates & Live Regions
- Virtual vs. Non Virtual Mode in AT Products
- Using Drag & Drop
- Notifying users of Non-ARIA Screen Readers
- Fixing structure with presentation role
- Hiding Layout tables
- Managing Modal and Non Modal Dialogs
- Using ARIA with HTML5
- How to test ARIA
- ARIA on Mobile Devices
