---
title: 'ARIA: window role'
slug: Web/Accessibility/ARIA/Roles/window_role
tags: 
  - Accessibility
  - ARIA
  - roles
  - ARIA Role
  - ARIA window
  - Reference
---

The `window` role defines a browser or app window.

> **Note:**  The `window` role is an abstract role. It is included here for completeness of documentation. It should not be used by web authors.

## Description

The `window` role, an abstract role, is a superclass for roles defining a browser or app window. The sub-class roles, currently only the [`dialog`](/en-US/docs/Web/Accessibility/ARIA/Roles/dialog_role) role, have a window-like <abbr title="graphical user interface">GUI</abbr>, whether it's a full native window or just a section of a document styled to look like a window, where `role="dialog"` would be appropriate.

## Best Practices

Do not use.

## Specifications

| Specification                                                                                                                    | Status                                           |
| -------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------ |
| {{SpecName("ARIA","#window","ARIA: window role")}}                                             | {{Spec2('ARIA')}}                         |

## See Also

- [ARIA: `roletype` role](/en-US/docs/Web/Accessibility/ARIA/Roles/roletype_role)
- [ARIA: `dialog` role](/en-US/docs/Web/Accessibility/ARIA/Roles/dialog_role)

<section id="Quick_links">

1. [**WAI-ARIA roles**](/en-US/docs/Web/Accessibility/ARIA/Roles)

    {{ListSubpagesForSidebar("/en-US/docs/Web/Accessibility/ARIA/Roles")}}

</section>
