---
title: 'Document: touchcancel event'
slug: Web/API/Document/touchcancel_event
tags:
  - Document
  - Event
  - Reference
  - TouchEvent
  - Web
  - touchcancel
browser-compat: api.Document.touchcancel_event
---
{{APIRef}}

The `touchcancel` event is fired when one or more touch points have been disrupted in an implementation-specific manner (for example, too many touch points are created).

<table class="properties">
  <tbody>
    <tr>
      <th scope="row">Bubbles</th>
      <td>Yes</td>
    </tr>
    <tr>
      <th scope="row">Cancelable</th>
      <td>No</td>
    </tr>
    <tr>
      <th scope="row">Interface</th>
      <td>{{domxref("TouchEvent")}}</td>
    </tr>
    <tr>
      <th scope="row">Event handler property</th>
      <td>
        {{ domxref("GlobalEventHandlers.ontouchcancel","ontouchcancel")}}
      </td>
    </tr>
  </tbody>
</table>

## Examples

Code samples for those events are available on the dedicated page: [Touch events](/en-US/docs/Web/API/Touch_events).

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Touch events](/en-US/docs/Web/API/Touch_events)
- {{ domxref("GlobalEventHandlers.ontouchcancel","ontouchcancel")}}
- This event on {{domxref("Element")}} targets: {{domxref("Element/touchcancel_event", "touchcancel")}}
