---
title: 'Element: MSGestureTap event'
slug: Web/API/Element/MSGestureTap_event
tags:
  - Event
  - Non-standard
  - Reference
browser-compat: api.Element.MSGestureTap_event
---
{{APIRef}}{{Non-standard_header}}

The **`MSGestureTap`** event is fired when the user "taps" the pointing device (e.g., touches the touch surface with their finger, taps the touch surface with a pen device, clicks with a mouse). Typically, it's preferable to listen for the {{event("click")}} event instead.

It is a proprietary event specific to Microsoft Edge and Internet Explorer.

<table class="properties">
  <tbody>
    <tr>
      <th scope="row">Bubbles</th>
      <td>Unknown</td>
    </tr>
    <tr>
      <th scope="row">Cancelable</th>
      <td>Unknown</td>
    </tr>
    <tr>
      <th scope="row">Interface</th>
      <td>{{domxref("MSGestureEvent")}}</td>
    </tr>
    <tr>
      <th scope="row">Event handler property</th>
      <td>Unknown</td>
    </tr>
  </tbody>
</table>

## Specifications

Not part of any specification.

## Browser compatibility

{{Compat}}

## See also

- Related events:

  - [`MSGestureStart`](/en-US/docs/Web/API/Element/MSGestureStart_event)
  - [`MSGestureEnd`](/en-US/docs/Web/API/Element/MSGestureEnd_event)
  - [`MSGestureChange`](/en-US/docs/Web/API/Element/MSGestureChange_event)
  - [`MSGestureHold`](/en-US/docs/Web/API/Element/MSGestureHold_event)
  - [`MSInertiaStart`](/en-US/docs/Web/API/Element/MSInertiaStart_event)
  - [`gesturestart`](/en-US/docs/Web/API/Element/gesturestart_event)
  - [`gesturechange`](/en-US/docs/Web/API/Element/gesturechange_event)
  - [`gestureend`](/en-US/docs/Web/API/Element/gestureend_event)
