---
title: HTMLObjectElement.contentWindow
slug: Web/API/HTMLObjectElement/contentWindow
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - NeedsExample
  - Property
  - Reference
  - contentWindow
browser-compat: api.HTMLObjectElement.contentWindow
---
{{APIRef("HTML DOM")}}

The **`contentWindow`** read-only property of
the {{domxref("HTMLObjectElement")}} interface returns a {{domxref("WindowProxy")}}
representing the window proxy of the object element's nested browsing context, if any;
otherwise null.

## Syntax

```js
var WindowProxy = HTMLObjectElement.contentWindow;
```

### Value

A {{domxref('WindowProxy')}}.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
