---
title: HTMLSelectElement.setCustomValidity()
slug: Web/API/HTMLSelectElement/setCustomValidity
tags:
  - API
  - Constrain Validation API
  - HTML DOM
  - HTMLSelectElement
  - Method
  - Reference
browser-compat: api.HTMLSelectElement.setCustomValidity
---
{{ APIRef("HTML DOM") }}

The **`HTMLSelectElement.setCustomValidity()`** method sets the
custom validity message for the selection element to the specified message. Use the
empty string to indicate that the element does _not_ have a custom validity
error.

## Syntax

```js
selectElt.setCustomValidity(string);
```

### Parameters

- `string` is the {{domxref("DOMString")}} containing the error message.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Form
  validation.](/en-US/docs/Web/Guide/HTML/Constraint_validation)
