---
title: PushSubscriptionOptions.applicationServerKey
slug: Web/API/PushSubscriptionOptions/applicationServerKey
tags:
  - API
  - Property
  - Reference
  - applicationServerKey
  - PushSubscriptionOptions
browser-compat: api.PushSubscriptionOptions.applicationServerKey
---
{{DefaultAPISidebar("Push API")}}

The **`applicationServerKey`** read-only property of the {{domxref("PushSubscriptionOptions")}} interface contains the public key used by the push server.

## Syntax

```js
let key = PushSubscriptionOptions.applicationServerKey;
```

### Value

A public key your push server uses to send messages to client apps via a push server. This value is part of a signing key pair generated by your application server, and usable with elliptic curve digital signature (ECDSA), over the P-256 curve.

## Examples

In the example below the value of `applicationServerKey` is printed to the console.

```css
navigator.serviceWorker.ready.then(function(reg) {
  reg.pushManager.getSubscription().then(function(subscription) {
    let options = subscription.options;
    console.log(options.applicationServerKey); // the public key
  })
});
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
