---
title: ServiceWorkerRegistration.navigationPreload
slug: Web/API/ServiceWorkerRegistration/navigationPreload
tags:
  - API
  - NavigationPreloadManager
  - Offline
  - Property
  - Service Workers
  - ServiceWorkerRegistration
  - Workers
browser-compat: api.ServiceWorkerRegistration.navigationPreload
---
{{APIRef("Service Workers API")}}

The **`navigationPreload`** read-only property of the
{{domxref("ServiceWorkerRegistration")}} interface returns the
{{domxref("NavigationPreloadManager")}} associated with the current service worker
registration.

## Syntax

```js
var navigationPreloadManager = serviceWorkerRegistration.navigationPreload;
```

### Value

An instance of {{domxref("NavigationPreloadManager")}}.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
