---
title: ':paused'
slug: Web/CSS/:paused
tags:
  - CSS
  - Pseudo-class
  - Reference
  - paused
browser-compat: css.selectors.paused
---
{{CSSRef}}{{SeeCompatTable}}

The **`:paused`** [CSS](/en-US/docs/Web/CSS) [pseudo-class](/en-US/docs/Web/CSS/Pseudo-classes) selector is a resource state pseudo-class that will match an audio, video, or similar resource that is capable of being "played" or "paused", when that element is "paused".

A resource is paused either due to being in an non-activated state, or due to the user explicitly paused it.

```css
:paused {

}
```

## Syntax

{{csssyntax}}

## Examples

### CSS

```css
:paused {
  border: 5px solid orange;
}
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- {{cssxref(":playing")}}
