---
title: CSS Images
slug: Web/CSS/CSS_Images
tags:
  - CSS
  - CSS Images
  - Guide
  - Overview
  - Reference
spec-urls:
  - https://drafts.csswg.org/css-images/
  - https://compat.spec.whatwg.org/#css-%3Cimage%3E-type
  - https://drafts.csswg.org/css-values/#urls
---
{{CSSRef}}

**CSS Images** is a module of CSS that defines what types of images can be used (the {{CSSxRef("&lt;image&gt;")}} type, containing URLs, gradients and other types of images), how to resize them and how they, and other replaced content, interact with the different layout models.

## Reference

### Properties

- {{CSSxRef("image-orientation")}}
- {{CSSxRef("image-rendering")}}
- {{CSSxRef("image-resolution")}}
- {{CSSxRef("object-fit")}}
- {{CSSxRef("object-position")}}

### Functions

- {{CSSxRef("linear-gradient", "linear-gradient()")}}
- {{CSSxRef("radial-gradient", "radial-gradient()")}}
- {{CSSxRef("repeating-linear-gradient", "repeating-linear-gradient()")}}
- {{CSSxRef("repeating-radial-gradient", "repeating-radial-gradient()")}}
- {{CSSxRef("conic-gradient")}}
- {{CSSxRef("repeating-conic-gradient", "repeating-conic-gradient()")}}
- {{CSSxRef("url", "url()")}}
- {{CSSxRef("element", "element()")}}
- {{CSSxRef("_image", "image()")}}
- {{CSSxRef("cross-fade", "cross-fade()")}}

### Data types

- {{CSSxRef("&lt;gradient&gt;")}}
- {{CSSxRef("&lt;image&gt;")}}

## Guides

- [Using CSS gradients](/en-US/docs/Web/CSS/CSS_Images/Using_CSS_gradients)
  - : Presents a specific type of CSS images, _gradients_, and how to create and use these.
- [Implementing image sprites in CSS](/en-US/docs/Web/CSS/CSS_Images/Implementing_image_sprites_in_CSS)
  - : Describes the common technique grouping several images in one single document to save download requests and speed up the availability of a page.

## Specifications

{{Specifications}}
