---
title: CSS Transforms
slug: Web/CSS/CSS_Transforms
tags:
  - CSS
  - CSS Transforms
  - Guide
  - Overview
  - Reference
spec-urls: https://drafts.csswg.org/css-transforms/
---
{{CSSRef}}

**CSS Transforms** is a module of CSS that defines how elements styled with CSS can be transformed in two-dimensional or three-dimensional space.

## Reference

### Properties

- {{cssxref("backface-visibility")}}
- {{cssxref("perspective")}}
- {{cssxref("perspective-origin")}}
- {{cssxref("rotate")}}
- {{cssxref("scale")}}
- {{cssxref("transform")}}
- {{cssxref("transform-box")}}
- {{cssxref("transform-origin")}}
- {{cssxref("transform-style")}}
- {{cssxref("translate")}}

### Data types

- {{cssxref("&lt;transform-function&gt;")}}

## Guides

- [Using CSS transforms](/en-US/docs/Web/CSS/CSS_Transforms/Using_CSS_transforms)
  - : Step-by-step tutorial about how to transform elements styled with CSS.

## Specifications

{{Specifications}}
