---
title: Resolved value
slug: Web/CSS/resolved_value
tags:
  - CSS
  - Guide
  - Reference
spec-urls: https://drafts.csswg.org/cssom/#resolved-values
---
{{CSSRef}}

The **resolved value** of a [CSS](/en-US/docs/Web/CSS) property is the value returned by {{domxref("Window.getComputedStyle", "getComputedStyle()")}}.

For most properties, it is the [computed value](/en-US/docs/Web/CSS/computed_value), but for a few legacy properties (including {{cssxref("width")}} and {{cssxref("height")}}), it is instead the [used value](/en-US/docs/Web/CSS/used_value). See the specification link below for more per-property details.

## Specifications

{{Specifications}}

## See also

- {{domxref("window.getComputedStyle")}}
- {{CSS_key_concepts}}
