---
title: Graphics on the Web
slug: Web/Guide/Graphics
tags:
  - 2D
  - 3D
  - Canvas
  - Graphics
  - HTML5
  - SVG
  - Web
  - WebGL
  - WebRTC
---
Websites and applications often need to present graphics, such as images. Static images can easily be displayed using the {{HTMLElement("img")}} element, or by setting the background of HTML elements using the {{cssxref("background-image")}} property. You can also construct graphics on-the-fly, or manipulate images after the fact. These articles provide insight into how you can accomplish this.

## 2D Graphics

- [Canvas](/en-US/docs/Web/API/Canvas_API)
  - : The {{HTMLElement("canvas")}} element provides APIs to draw 2D graphics using JavaScript.
- [SVG](/en-US/docs/Web/SVG)
  - : Scalable Vector Graphics (SVG) lets you use lines, curves, and other geometric shapes to render graphics. With vectors, you can create images that scale cleanly to any size.

## 3D Graphics

- [WebGL](/en-US/docs/Web/API/WebGL_API)
  - : A guide to getting started with WebGL, the 3D graphics API for the Web. This technology lets you use standard OpenGL ES in web content.

## Video

- [Using HTML5 audio and video](/en-US/docs/Learn/HTML/Multimedia_and_embedding/Video_and_audio_content)
  - : Embedding video and/or audio in a web page and controlling its playback.
- [WebRTC](/en-US/docs/Web/API/WebRTC_API)
  - : The RTC in WebRTC stands for Real-Time Communications, a technology that enables audio/video streaming and data sharing between browser clients (peers).
