---
title: 'Link types: me'
slug: Web/HTML/Link_types/me
tags:
  - Attribute
  - HTML
  - Link
  - Link types
  - Reference
browser-compat: html.elements.link.rel.me
---

The **`me`** keyword for the {{HTMLAttrxRef("rel", "link")}} attribute of the {{HTMLElement("link")}} and {{HTMLElement("a")}} elements indicates that the current resource is represented by the linked party. The `me` value was introduced in the [XHTML Friends Network (XFN) specification](https://gmpg.org/xfn/).

```<link rel="me" value="example.com" />```

The `rel="me"` attribute is used in [RelMeAuth](https://microformats.org/wiki/RelMeAuth) and [Web sign in](https://microformats.org/wiki/web-sign-in) specifications as a way to enable a person to identify themselves to a web service using their domain name or a particular URL.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
