---
title: JavaScript error reference
slug: Web/JavaScript/Reference/Errors
tags:
  - Debugging
  - Errors
  - Exception
  - JavaScript
  - Landing page
  - exceptions
---
{{jsSidebar("Errors")}}

Below, you'll find a list of errors which are thrown by JavaScript. These errors can be a helpful debugging aid, but the reported problem isn't always immediately clear. The pages below will provide additional details about these errors. Each error is an object based upon the {{jsxref("Error")}} object, and has a `name` and a `message`.

Errors displayed in the Web console may include a link to the corresponding page below to help you quickly comprehend the problem in your code.

For a beginner's introductory tutorial on fixing JavaScript errors, see [What went wrong? Troubleshooting JavaScript](/en-US/docs/Learn/JavaScript/First_steps/What_went_wrong).

## List of errors

In this list, each page is listed by name (the type of error) and message (a more detailed human-readable error message). Together, these two properties provide a starting point toward understanding and resolving the error. For more information, follow the links below!

{{ListSubPages("/en-US/docs/Web/JavaScript/Reference/Errors")}}
