---
title: Exponentiation assignment (**=)
slug: Web/JavaScript/Reference/Operators/Exponentiation_assignment
tags:
  - Assignment operator
  - JavaScript
  - Language feature
  - Operator
  - Reference
browser-compat: javascript.operators.exponentiation_assignment
---
{{jsSidebar("Operators")}}

The exponentiation assignment operator (`**=`) raises the value of a
variable to the power of the right operand.

{{EmbedInteractiveExample("pages/js/expressions-exponentiation-assignment.html")}}

## Syntax

```js
x **= y // x = x ** y
```

## Examples

### Using exponentiation assignment

```js
// Assuming the following variable
//  bar = 5

bar **= 2     // 25
bar **= 'foo' // NaN
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Assignment
  operators in the JS guide](/en-US/docs/Web/JavaScript/Guide/Expressions_and_Operators#assignment)
- [Exponentiation
  operator](/en-US/docs/Web/JavaScript/Reference/Operators/Exponentiation)
