---
title: glyphRef
slug: Web/SVG/Attribute/glyphRef
tags:
  - Deprecated
  - SVG
  - SVG Attribute
browser-compat: svg.elements.altGlyph.glyphRef
---
{{SVGRef}}{{Deprecated_Header}}

The **`glyphRef`** attribute represents the glyph identifier, the format of which is dependent on the {{SVGAttr("format")}} of the given font.

You can use this attribute with the following SVG elements:

- {{SVGElement("altGlyph")}}
- {{SVGElement("glyphRef")}}

## Usage notes

<table class="properties">
  <tbody>
    <tr>
      <th scope="row">Value</th>
      <td><code>&#x3C;string></code></td>
    </tr>
    <tr>
      <th scope="row">Default value</th>
      <td><em>None</em></td>
    </tr>
    <tr>
      <th scope="row">Animatable</th>
      <td>Yes</td>
    </tr>
  </tbody>
</table>

- `<string>`
  - : This value represents the glyph identifier. Its format depends on the {{SVGAttr("format")}} of the given font.

## Specifications

<table class="no-markdown">
  <thead>
    <tr>
      <th scope="col">Specification</th>
      <th scope="col">Status</th>
      <th scope="col">Comment</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>
        {{SpecName("SVG1.1", "text.html#GlyphRefElementGlyphRefAttribute", "glyphRef for &lt;glyphRef&gt;")}}
      </td>
      <td>{{Spec2("SVG1.1")}}</td>
      <td>Initial definition for <code>&#x3C;glyphRef></code></td>
    </tr>
    <tr>
      <td>
        {{SpecName("SVG1.1", "text.html#AltGlyphElementGlyphRefAttribute", "altGlyph for &lt;altGlyph&gt;")}}
      </td>
      <td>{{Spec2("SVG1.1")}}</td>
      <td>Initial definition for <code>&#x3C;altGlyph></code></td>
    </tr>
  </tbody>
</table>

## Browser compatibility

{{Compat}}
