---
title: SVG Styling Attributes
slug: Web/SVG/Attribute/Styling
tags:
  - Attribute
  - Beginner
  - NeedsExample
  - Reference
  - SVG
browser-compat: svg.attributes.style
---
The SVG styling attributes are all the attributes that can be specified on any SVG element to apply CSS styling effects.

- [`class`](#attr-class)
- [`style`](#attr-style)

## Attributes

- {{SVGAttr('class')}}
  - : Assigns a class name or set of class names to an element. It functions identically to the {{htmlattrxref('class')}} attribute in HTML.
    *Value*: Any valid ID string; *Animatable*: **Yes**
- {{SVGAttr('style')}}
  - : It specifies style information for its element. It functions identically to the {{htmlattrxref('style')}} attribute in HTML.
    *Value*: Any valid style string; *Animatable*: **No**

## Browser compatibility

{{Compat}}
