---
title: viewTarget
slug: Web/SVG/Attribute/viewTarget
tags:
  - SVG
  - SVG Attribute
browser-compat: svg.elements.view.viewTarget
---
{{SVGRef}}{{Deprecated_Header}}

The **`viewTarget`** attribute indicates the target object associated with the view.

You can use this attribute with the following SVG elements:

- {{SVGElement("view")}}

## Usage notes

<table class="properties">
  <tbody>
    <tr>
      <th scope="row">Value</th>
      <td><code>&#x3C;xml-name></code></td>
    </tr>
    <tr>
      <th scope="row">Default value</th>
      <td><em>None</em></td>
    </tr>
    <tr>
      <th scope="row">Animatable</th>
      <td>No</td>
    </tr>
  </tbody>
</table>

- `<xml-name>`
  - : This value specifies the name of the object associated with the view.

## Specifications

<table class="no-markdown">
  <thead>
    <tr>
      <th scope="col">Specification</th>
      <th scope="col">Status</th>
      <th scope="col">Comment</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>
        {{SpecName("SVG1.1", "linking.html#ViewElementViewTargetAttribute", "viewTarget")}}
      </td>
      <td>{{Spec2("SVG1.1")}}</td>
      <td>Initial definition</td>
    </tr>
  </tbody>
</table>

## Browser compatibility

{{Compat}}
